Subject: Sweet Lord, let him come unto me, my name is Maria, I am from Russia!

From: Olga <[email-masked]>
Date: Wed, 27 Jan 2010 01:19:32 -0800 (PST)

Hi - I'm the girl in a pink jacket with the inscription Russia, remember me?
Click here